Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners
Class LifecycleUtil

    java.lang.Object
      org.jboss.soa.esb.listeners.LifecycleUtil

    public class LifecycleUtil

extends java.lang.Object

Lifecycle helper methods

Author:
  kevin

Method Summary
`static ConfigTree` | `getConfigTree(java.lang.String param)` Get the config tree from the specified parameter entry in the repository.
`static java.util.List<ManagedLifecycle>` | `getGateways(ConfigTree tree)` Get the managed gateways from the specified config tree.
`static java.util.List<ManagedLifecycle>` | `getGateways(java.lang.String param)` Get the managed gateways from the specified parameter entry in the repository.
`static java.util.List<ManagedLifecycle>` | `getListeners(ConfigTree tree)` Get the managed listeners from the specified config tree.
`static java.util.List<ManagedLifecycle>` | `getListeners(java.lang.String param)` Get the managed listeners from the specified parameter entry in the repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getListeners

    public static java.util.List<ManagedLifecycle> getListeners(java.lang.String param)
                                                         throws ParamRepositoryException,
                                                                org.xml.sax.SAXException,
                                                                ManagedLifecycleException

  Get the managed listeners from the specified parameter entry in the repository.

  Parameters:
    `param` - The listener parameter.
  Returns:
    The managed listeners.
  Throws:
    `ParamRepositoryException` - For errors associated with accessing the parameter repository.
    `org.xml.sax.SAXException` - For errors associated with parsing the configuration.
    `ManagedLifecycleException` - For errors associated with the managed instance.

### getListeners

    public static java.util.List<ManagedLifecycle> getListeners(ConfigTree tree)
                                                         throws ManagedLifecycleException

  Get the managed listeners from the specified config tree.

  Parameters:
    `tree` - The config tree.
  Returns:
    The managed listeners.
  Throws:
    `ManagedLifecycleException` - For errors associated with the managed instance.

### getGateways

    public static java.util.List<ManagedLifecycle> getGateways(java.lang.String param)
                                                        throws ParamRepositoryException,
                                                               org.xml.sax.SAXException,
                                                               ManagedLifecycleException

  Get the managed gateways from the specified parameter entry in the repository.

  Parameters:
    `param` - The gateway parameter.
  Returns:
    The managed gateways.
  Throws:
    `ParamRepositoryException` - For errors associated with accessing the parameter repository.
    `org.xml.sax.SAXException` - For errors associated with parsing the configuration.
    `ManagedLifecycleException` - For errors associated with the managed instance.

### getGateways

    public static java.util.List<ManagedLifecycle> getGateways(ConfigTree tree)
                                                        throws ManagedLifecycleException

  Get the managed gateways from the specified config tree.

  Parameters:
    `tree` - The config tree.
  Returns:
    The managed gateways.
  Throws:
    `ManagedLifecycleException` - For errors associated with the managed instance.

### getConfigTree

    public static ConfigTree getConfigTree(java.lang.String param)
                                    throws ParamRepositoryException,
                                           org.xml.sax.SAXException

  Get the config tree from the specified parameter entry in the repository.

  Parameters:
    `param` - The parameter.
  Returns:
    The config tree.
  Throws:
    `ParamRepositoryException` - For errors associated with accessing the parameter repository.
    `org.xml.sax.SAXException` - For errors associated with parsing the configuration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD